BASE32(1)

NOM
base32 - Encoder ou décoder des données en base32 et les afficher sur la sortie standard

SYNOPSIS
base32 [OPTION] ... [FICHIER]

DESCRIPTION

base32 encode ou décode le FICHIER ou l'entrée standard, et les affiche sur la sortie standard.

L'entrée standard est lue quand FICHIER est omis ou quand FICHIER vaut « - ».

Les paramètres obligatoires pour les options de forme longue le sont aussi pour les options de forme courte.

-d, --decode
    décoder les données

-i, --ignore-garbage
    ignorer les caractères non alphabétiques lors du décodage

-w, --wrap=COLS
    ajuster la longueur des lignes encodées à COLONNES caractères (76 par défaut). Utilisez 0 pour désactiver l'ajustement automatique des lignes.

--help
    afficher l'aide-mémoire et quitter

--version
    afficher les informations de version et quitter

Les donnes sont encodes selon l'alphabet base32 tel que décrit dans la RFC 4648. Lors du décodage, l'entre peut contenir des changements de ligne en plus des octets de l'alphabet base32 strict. Utilisez --ignore-garbage pour essayer de ne pas être géné par les autres octets non alphabétiques du flux encodé.

AUTEUR
Écrit par Simon Josefsson.

SIGNALER DES BOGUES
Signaler toute erreur à bug-coreutils@gnu.org
Page d'accueil de GNU coreutils : <https://www.gnu.org/software/coreutils/>
Aide générale sur l'utilisation des logiciels GNU : <https://www.gnu.org/gethelp/>
Signaler toute erreur de traduction à <https://translationproject.org/team/fr.html>

VOIR AUSSI
basenc(1)

Documentation complète: <https://www.gnu.org/software/coreutils/base32>
aussi disponible localement à l”aide de la commande : info '(coreutils) base32 invocation'

Empaqueté par Debian (9.10-1)
Copyright © 2026 Free Software Foundation, Inc.
Licence GPLv3+ : GNU GPL version 3 ou supérieure <https://gnu.org/licenses/gpl.html>.
Ce programme est un logiciel libre. Vous pouvez le modifier et le redistribuer.
Il n'y a AUCUNE GARANTIE dans la mesure autorisée par la loi.

TRADUCTION
La traduction française de cette page de manuel a été créée par Christophe Blaess <https://www.blaess.fr/christophe/>, Stéphan Rafin <stephan.rafin@laposte.net>, Thierry Vignaud <tvignaud@mandriva.com>, François Micaux, Alain Portal <aportal@univ-montp2.fr>, Jean-Philippe Guérard <fevrier@tigreraye.org>, Jean-Luc Coulon (f5ibh) <jean-luc.coulon@wanadoo.fr>, Julien Cristau <jcristau@debian.org>, Thomas Huriaux <thomas.huriaux@gmail.com>, Nicolas François <nicolas.francois@centraliens.net>, Florentin Duneau <fduneau@gmail.com>, Simon Paillard <simon.paillard@resel.enst-bretagne.fr>, Denis Barbier <barbier@debian.org>, David Prévot <david@tilapin.org>, Jean-Philippe MENGUAL <jpmengual@debian.org> et Jean-Pierre Giraud <jean-pierregiraud@neuf.fr>

Cette traduction est une documentation libre ; veuillez vous reporter à la GNU General Public License version 3 (https://www.gnu.org/licenses/gpl-3.0.html) concernant les conditions de copie et de distribution. Il n'y a aucune RESPONSABILITÉ LÉGALE.

Si vous découvrez un bogue dans la traduction de cette page de manuel, veuillez envoyer un message à debian-l10n-french@lists.debian.org.